%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Devel-Refcount
Version:       0.10
Release:       2mamba
Summary:       Devel::Refcount - obtain the REFCNT value of a referent
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org/
Source:        http://search.cpan.org/CPAN/authors/id/P/PE/PEVANS/Devel-Refcount-%{version}.tar.gz
License:       GPL, Artistic
Requires:      perl >= %perl_major_ver
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: perl-Scalar-List-Utils
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl-devel >= %perl_major_ver

%description
Devel::Refcount - obtain the REFCNT value of a referent.

%prep

%setup -q -n Devel-Refcount-%{version}

%build
perl Build.PL installdirs=vendor
./Build
./Build test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
./Build install \
   destdir="%{buildroot}" \
   --install_path bindoc="%{_mandir}/man1" \
   --install_path libdoc="%{_mandir}/man3"

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

find %{buildroot}%{perl_vendorlib} \
   -type d -depth -exec rmdir {} 2>/dev/null \;

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo %dir ${dir#%buildroot} >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Thu Oct 31 2024 Automatic Build System <autodist@openmamba.org> 0.10-2mamba
- automatic rebuild by autodist

* Mon Feb 25 2013 Automatic Build System <autodist@mambasoft.it> 0.10-1mamba
- automatic version update by autodist

* Sat Nov 17 2012 Automatic Build System <autodist@mambasoft.it> 0.09-1mamba
- automatic version update by autodist

* Mon Nov 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.07-2mamba
- perl 5.16 mass rebuild

* Wed May 05 2010 Automatic Build System <autodist@mambasoft.it> 0.07-1mamba
- automatic update by autodist

* Wed Jan 20 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.06-1mamba
- package created by autospec
